<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="14" short-name="computers" url="https://polygon.codeforces.com/p8huZxe/tourist/computers">
    <names>
        <name language="english" value="Computer Network"/>
        <name language="russian" value="Computer Network"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/russian/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/.html/russian/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>536870912</memory-limit>
            <test-count>79</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="Tests sample 1" method="generated" sample="true"/>
                <test cmd="Tests small 2" method="generated"/>
                <test cmd="Tests one 3" method="generated"/>
                <test cmd="Tests one 4" method="generated"/>
                <test cmd="Tests one 5" method="generated"/>
                <test cmd="Tests random 10 6" method="generated"/>
                <test cmd="Tests random 30 7" method="generated"/>
                <test cmd="Tests random 100 8" method="generated"/>
                <test cmd="Tests random 100 9" method="generated"/>
                <test cmd="Tests random 100 10" method="generated"/>
                <test cmd="Tests randomMAX 11" method="generated"/>
                <test cmd="Tests randomMAX 12" method="generated"/>
                <test cmd="Tests MAX 1" method="generated"/>
                <test cmd="Tests MAX 2" method="generated"/>
                <test cmd="Tests MAX 4" method="generated"/>
                <test cmd="Tests MAX 10" method="generated"/>
                <test cmd="Tests MAX 15" method="generated"/>
                <test cmd="Tests MAX 49" method="generated"/>
                <test cmd="Tests MAX 100" method="generated"/>
                <test cmd="Tests randomK 1 1 788789" method="generated"/>
                <test cmd="Tests randomK 2 1 789789" method="generated"/>
                <test cmd="Tests randomK 2 2 789790" method="generated"/>
                <test cmd="Tests randomK 3 1 790789" method="generated"/>
                <test cmd="Tests randomK 3 2 790790" method="generated"/>
                <test cmd="Tests randomK 3 3 790791" method="generated"/>
                <test cmd="Tests randomK 4 1 791789" method="generated"/>
                <test cmd="Tests randomK 4 2 791790" method="generated"/>
                <test cmd="Tests randomK 4 3 791791" method="generated"/>
                <test cmd="Tests randomK 4 4 791792" method="generated"/>
                <test cmd="Tests randomK 5 1 792789" method="generated"/>
                <test cmd="Tests randomK 5 2 792790" method="generated"/>
                <test cmd="Tests randomK 5 3 792791" method="generated"/>
                <test cmd="Tests randomK 5 4 792792" method="generated"/>
                <test cmd="Tests randomK 5 5 792793" method="generated"/>
                <test cmd="Tests randomK 6 1 793789" method="generated"/>
                <test cmd="Tests randomK 6 2 793790" method="generated"/>
                <test cmd="Tests randomK 6 3 793791" method="generated"/>
                <test cmd="Tests randomK 6 4 793792" method="generated"/>
                <test cmd="Tests randomK 6 5 793793" method="generated"/>
                <test cmd="Tests randomK 6 6 793794" method="generated"/>
                <test cmd="Tests randomK 7 1 794789" method="generated"/>
                <test cmd="Tests randomK 7 2 794790" method="generated"/>
                <test cmd="Tests randomK 7 3 794791" method="generated"/>
                <test cmd="Tests randomK 7 4 794792" method="generated"/>
                <test cmd="Tests randomK 7 5 794793" method="generated"/>
                <test cmd="Tests randomK 7 6 794794" method="generated"/>
                <test cmd="Tests randomK 7 7 794795" method="generated"/>
                <test cmd="Tests randomK 100 1 787788700" method="generated"/>
                <test cmd="Tests randomK 100 2 787788701" method="generated"/>
                <test cmd="Tests randomK 100 3 787788702" method="generated"/>
                <test cmd="Tests randomK 100 5 787788703" method="generated"/>
                <test cmd="Tests randomK 100 9 787788704" method="generated"/>
                <test cmd="Tests randomK 100 13 787788705" method="generated"/>
                <test cmd="Tests randomK 100 23 787788706" method="generated"/>
                <test cmd="Tests randomK 100 33 787788706" method="generated"/>
                <test cmd="Tests randomK 100 34 787788706" method="generated"/>
                <test cmd="Tests randomK 100 42 787788707" method="generated"/>
                <test cmd="Tests randomK 100 49 787788708" method="generated"/>
                <test cmd="Tests randomK 100 50 787788709" method="generated"/>
                <test cmd="Tests randomK 100 51 787788710" method="generated"/>
                <test cmd="Tests randomK 100 56 787788711" method="generated"/>
                <test cmd="Tests randomK 100 77 787788712" method="generated"/>
                <test cmd="Tests randomK 100 89 787788713" method="generated"/>
                <test cmd="Tests randomK 100 93 787788714" method="generated"/>
                <test cmd="Tests randomK 100 97 787788715" method="generated"/>
                <test cmd="Tests randomK 100 98 787788716" method="generated"/>
                <test cmd="Tests randomK 100 99 787788717" method="generated"/>
                <test cmd="Tests randomK 100 100 787788718" method="generated"/>
                <test cmd="Tests randomK 42 23 787788760" method="generated"/>
                <test cmd="Tests randomK 99 49 787788710" method="generated"/>
                <test cmd="Tests randomK 99 50 787788720" method="generated"/>
                <test cmd="Tests randomK 99 33 787788730" method="generated"/>
                <test cmd="Tests randomK 97 23 787788740" method="generated"/>
                <test cmd="Tests randomK 97 77 787788750" method="generated"/>
                <test cmd="Tests randomK 100 25 787788750" method="generated"/>
                <test cmd="Tests randomK 99 25 787788750" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/Tests.java" type="java11"/>
                <binary path="files/Tests.jar" type="jar"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::hcmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>6</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/computer_pashka.cpp" type="cpp.g++17"/>
                <binary path="solutions/computer_pashka.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/servers_va.java" type="java11"/>
                <binary path="solutions/servers_va.jar" type="jar"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/servers_va_ok2.java" type="java11"/>
                <binary path="solutions/servers_va_ok2.jar" type="jar"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="greedy"/>
    </tags>
</problem>
